PathDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.PathDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class PathDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.BaseDecorator
                  org.hyperic.hq.ui.taglib.display.PathDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PathDecorator

extends BaseDecorator

Re-evaluate the value to be display by the column

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PathDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object columnValue)` If string column value exists, use that.
`int` | `doStartTag()`
`int` | `getPostChars()`
`int` | `getPreChars()`
`java.lang.String` | `getStyleClass()`
`boolean` | `isStrict()`
`void` | `release()`
`void` | `setPostChars(int postChars)`
`void` | `setPreChars(int preChars)`
`void` | `setStrict(boolean strict)`
`void` | `setStyleClass(java.lang.String styleClass)`

Methods inherited from class org.hyperic.hq.ui.taglib.display.BaseDecorator
`doEndTag, generateErrorComment, getName, getParent, setName, setParent`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow, setPageContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`setPageContext`

Constructor Detail

### PathDecorator

    public PathDecorator()

Method Detail

### decorate

    public java.lang.String decorate(java.lang.Object columnValue)

  If string column value exists, use that. Otherwise, return 2nd choice.

  Specified by:
    `decorate` in class `BaseDecorator`
  See Also:
    `org.apache.taglibs.display.ColumnDecorator#decorate(java.lang.Object)`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseDecorator`
  Throws:
    `javax.servlet.jsp.JspTagException`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseDecorator`

### getPostChars

    public int getPostChars()

### setPostChars

    public void setPostChars(int postChars)

### getPreChars

    public int getPreChars()

### setPreChars

    public void setPreChars(int preChars)

### isStrict

    public boolean isStrict()

### setStrict

    public void setStrict(boolean strict)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.